LFR-FSW - Bug #934

HK_LFR_SC_RW1_F1_FLAG not updated when RW1_F1 is set
14/02/2017 10:02 AM - Veronique bouzid

Status: Closed Start date: 14/02/2017
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Voici le scénario utilisé

- Attente d'une TM_LFR_HK aprés la séquence de boot

--> tous les Flags sont disable

HK_LFR_SC_RW1_F1_FLAG: DISABLED = 0, HK_LFR_SC_RW1_F2_FLAG: DISABLED = 0, HK_LFR_SC_RW1_F3_FLAG:
DISABLED =0, HK_LFR_SC_RW1_F4_ FLAG: DISABLED = 0, HK_LFR_SC_RW2_F1_FLAG: DISABLED = 0,
HK_LFR_SC_RW2_F2_FLAG: DISABLED = 0, HK_LFR_SC_RW2_F3_FLAG: DISABLED = 0, HK_LFR_SC_RW2_F4_FLAG:
DISABLED = 0, HK_LFR_SC_RW3_F1_FLAG: DISABLED = 0, HK_LFR_SC_RW3_F2_FLAG: DISABLED = 0,
HK_LFR_SC_RW3_F3_FLAG: DISABLED = 0, HK_LFR_SC_RW3_F4_FLAG: DISABLED = 0, HK_LFR_SC_RW4_F1_FLAG:
DISABLED = 0, HK_LFR_SC_RW4_F2_FLAG: DISABLED =0, HK_LFR_SC_RW4_F3_FLAG: DISABLED = 0,
HK_LFR_SC_RW4_F4_FLAG: DISABLED =0

- Envoi d'une TC_LFR_UPDATE_INFO avec valeurs par défaut CP_RPW_SC_RWi_Fj= Nan

Pour cela on met la valeur 0x7FFFFFFF dans le champ associé a la frequence de la roue a inertie (2147483647)
CP_RPW_SC_RW1_F1=2147483647, CP_RPW_SC_RW1_F2=2147483647, CP_RPW_SC_RW1_F3=2147483647,
CP_RPW_SC_RW1_F4=2147483647, CP_RPW_SC_RW2_F1=2147483647, CP_RPW_SC_RW2_F2=2147483647,
CP_RPW_SC_RW2_F3=2147483647, CP_RPW_SC_RW2_F4=2147483647, CP_RPW_SC_RW3_F1=2147483647,
CP_RPW_SC_RW3_F2=2147483647, CP_RPW_SC_RW3_F3=2147483647, CP_RPW_SC_RW3_F4=2147483647,
CP_RPW_SC_RW4_F1=2147483647, CP_RPW_SC_RW4 F2=2147483647, CP_RPW_SC_RW4_F3=2147483647,
CP_RPW_SC_RW4_F4=2147483647, CRC = Oxbcd6

Ok pour la TM_LFR_HK tous les flags sont & DISABLED et la TM_LFR_PARAMETER_DUMP.
- Envoi d'une TC_LFR_UPDATE_INFO avec CP_RPW_SC_RW1_F1=1119879168 ( c est a dire 96.0 hz)

la TM_LFR_HK est erronée, le flag n a pas été mis a jour

HK_LFR_SC_RW1_F1_FLAG: DISABLED =0, HK_LFR_SC_RW1_F2_FLAG: DISABLED = 0, HK_LFR_SC_RW1_F3_FLAG:
DISABLED = 0, HK_LFR_SC_RW1_F4_FLAG: DISABLED = 0, HK_LFR_SC_RW2_F1_FLAG: DISABLED = 0,
HK_LFR_SC_RW2_F2_FLAG: DISABLED = 0, HK_LFR_SC_RW2_F3_FLAG: DISABLED = 0, HK_LFR_SC_RW2_F4_FLAG:
DISABLED = 0, HK_LFR_SC_RW3_F1_FLAG: DISABLED = 0, HK_LFR_SC_RW3_F2_FLAG: DISABLED = 0,
HK_LFR_SC_RW3_F3_FLAG: DISABLED = 0, HK_LFR_SC_RW3_F4_FLAG: DISABLED = 0, HK_LFR_SC_RW4_F1_FLAG:
DISABLED = 0, HK_LFR_SC_RW4_F2_FLAG: DISABLED = 0, HK_LFR_SC_RW4_F3_FLAG: DISABLED =0,
HK_LFR_SC_RW4_F4 FLAG: DISABLED =0

La TM_LFR_PARAMETER_DUMP a mis a jour ses masques pour F1 et F2
PA_LFR_RW_MASK_F0_WORD1=0xffffffff, PA_LFR_RW_MASK_F0_WORD2=0xffffffff,
PA_LFR_RW_MASK_F0_WORD3=0xffffffff, PA_LFR_RW_MASK_F0_WORDA4=0xfffffffc,
PA_LFR_RW_MASK_F1_WORD1=0xffffffff, PA_LFR_RW_MASK_F1_WORD2=0xffffffff,
PA_LFR_RW_MASK_F1_WORD3=0xffffffff, PA_LFR_RW_MASK_F1_WORDA4=0x{fff{f8f,
PA_LFR_RW_MASK_F2_WORD1=0xfffffffe, PA_LFR_RW_MASK_F2_WORD2=0x3fffffff,
PA_LFR_RW_MASK_F2_WORD3=0xffffffff, PA_LFR_RW_MASK_F2_WORD4=0xffffffff

--> VERIFIER S| MASQUES CORRECTEMENT CALCULES

Le script utilisé est /home/validation/SCRIPT/R3++/send_one_update_info.py.
Les fichiers de log (2017_02_14-09_38_05*) se trouvent dans le répertoire
/home/validation/data/R3++/3.2.0.1/1.1.91/TESTS-UNITAIRES/send_one_update_info.

Contexte du test

FSW 3.2.0.1
VHDL 1.1.91

13/03/2024 12




EM1 sans Timegen
SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+
StarDundee

History

#1 - 14/02/2017 10:03 AM - Veronique bouzid

- Description updated

#2 - 14/02/2017 11:20 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

J'ai identifié le bug, j'écrasais les deux bytes de flag avec des valeurs par défaut avant d'envoyer les HK.

Correction dans fsw >= 3.2.0.2.

#3 - 14/02/2017 01:42 PM - Veronique bouzid

- Description updated

#4 - 02/03/2017 11:39 AM - Veronique bouzid

- Status changed from Resolved to Closed

Bug corrigé en 3.2.0.2.

Envoi TC_LFR_UPDATE_INFO avec RW1_F1 positionnée a une valeur differente de nan

10:38:57.723267, TC_LFR_UPDATE_INFO, CCSDS_VERSION_NUMBER = 0,“CP_RPW_SC_RW1_F1=1119879168,*
CP_RPW_SC_RW1_F2=2147483647, CP_RPW_SC_RW1_F3=2147483647, CP_RPW_SC_RW1_F4=2147483647,
CP_RPW_SC_RW2_F1=2147483647, CP_RPW_SC_RW2_F2=2147483647, CP_RPW_SC_RW2_F3=2147483647,
CP_RPW_SC_RW2_F4=2147483647, CP_RPW_SC_RW3_F1=2147483647, CP_RPW_SC_RW3_F2=2147483647,
CP_RPW_SC_RW3_F3=2147483647, CP_RPW_SC_RW3_F4=2147483647, CP_RPW_SC_RW4_F1=2147483647,
CP_RPW_SC_RW4_F2=2147483647, CP_RPW_SC_RW4_F3=2147483647, CP_RPW_SC_RW4_F4=2147483647,

TM_LFR_HK
montre la prise en compte de la TC_LFR_UPDATE_INFO dans le champ HK_LFR_UPDATE_INFO_TC_CNT et le flag positionné pour RW1_F1.

10:38:58.4041, TM_LFR_HK, HK_LFR_UPDATE_INFO_TC_CNT=2, HK_LFR_SC_RW1_F1_FLAG: ENABLED = 1, HK_LFR_SC_RW1_F2_FLAG:
DISABLED = 0, HK_LFR_SC_RW1_F3 FLAG: DISABLED = 0, HK_LFR_SC_RW1_F4 FLAG: DISABLED = 0, HK_LFR_SC_RW2_F1_FLAG:
DISABLED = 0, HK_LFR_SC_RW2 F2 FLAG: DISABLED = 0, HK_LFR_SC_RW2 F3 FLAG: DISABLED =0, HK_LFR_SC_RW2 F4 FLAG:
DISABLED = 0, HK_LFR_SC_RW3_F1_FLAG: DISABLED = 0, HK_LFR_SC_RW3_F2_FLAG: DISABLED = 0, HK_LFR_SC_RW3_F3_FLAG:
DISABLED = 0, HK_LFR_SC_RW3_F4 FLAG: DISABLED = 0, HK_LFR_SC_RW4 F1_FLAG: DISABLED = 0, HK_LFR_SC_RW4 F2_FLAG:
DISABLED = 0, HK_LFR_SC_RW4 F3 FLAG: DISABLED = 0, HK_LFR_SC_RW4 F4 FLAG: DISABLED = 0

Les fichiers de log (2017_03_02-10_39_05%) sont rangés dans /home/validation/data/R3++/3.2.0.2/1.1.91/TEST-UNITAIRES/send_one_update_info.

Contexte du test

FSW 3.2.0.2

VHDL 1.1.91

EM1 sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+
StarDundee
